Name: samba-dc-deploy
Version: 1.0
Release: alt2
Group: System/Configuration/Other
License: %gpl2only
Source: %name-%version.tgz
Summary: Ansible role for Samba DC local deployment 
Packager: Anton Shevtsov <shevtsov.anton@gmail.com>

BuildArch: noarch
BuildRequires: rpm-build-licenses
Requires: ansible
Requires: deploy
Requires: python3-module-setproctitle

Url: https://altlinux.org/Deploy

%description
Ansible role for Samba DC local deployment (with dns-backend configuration, 
ntp settings, GPO, etc.)

%prep

%setup

%install
#samba-dc-deploy-1.0/roles/
#└── samba-dc
#    ├── defaults
#    ├── files
#    ├── handlers
#    ├── meta
#    ├── tasks
#    ├── templates
#    ├── tests
#    └── vars
#        └── Altlinux
#            ├── p10
#            └── p8


#mkdir -p %buildroot/%_datadir/deploy/samba-dc/{defaults,files,handlers,meta,tasks,templates,tests}/
#mkdir -p %buildroot/%_datadir/deploy/samba-dc/vars/Altlinux/{p10,p8}
#cp samba-dc.yml %buildroot/%_datadir/deploy/
#cp -r roles/samba-dc/*  %buildroot/%_datadir/deploy/samba-dc/

%makeinstall_std

%files
%doc README.txt
%_datadir/deploy/samba-dc/*
%_datadir/deploy/samba-dc.yml

%changelog
* Mon Feb 27 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.0-alt2
- Initial build.
